<style>

*{
   font-weight: 550;
   font-size: 9px;

}

#impresion{
   width:180px;
  
   margin: 0;
 
 padding: 0;
 
 
}
#titulo{

   margin: 0;
   text-align: center;
   padding: 0;
   
}
#tr{
   
   justify-content:  space-around;
}
h6{
   margin: 0;
 
   padding: 0;

}


.item{
margin-right: 1px;

}
p {margin: 0; padding: 0;

}
.produ{
   text-align: left;
}

#totalll{
   text-align: center;

}


</style>
<?php
$bodega=$_GET["bodega"];
include("../facturacion/datosimpresion.php");
?>


<div id="impresion" >

<div id="titulo">
<?php echo(" <h6>  $nombreNegocio</h6>
      <h6> $direccion</h6>
      ");?>
</div>

<?php
$numfac=$_GET["factura"];
$provedor=$_GET["provedor"];
// $bodega=$_GET["bodega"];
include("../../controlador/conexion/conexion.php");
$cone=new conexion;
$con=$cone->conectar();
$sent="SELECT * FROM `factcompra`  INNER JOIN clientes on factcompra.provedor=clientes.cedula WHERE factcompra='$numfac' and provedor=$provedor and idbodegaCo=$bodega ";
$consultar=$con->query($sent);
$filaa=mysqli_fetch_object($consultar);
//echo(var_dump($filaa));

$idc=$filaa->cedula;
$nombrec=$filaa->Nombre;


$fecha=$filaa->fechacompra;
$factura=$filaa->factcompra;
// session_start();
print("<br>");
print("<h6 class='empresa'>".$representante."</h6> ");
print(" <h6 class='empresa'>Nit:".$nit."</h6>  ");
print(" <h6 class='empresa'>$regimen </h6>");
print(" <h6 class='empresa'>Tel: ".$tel." </h6> ");
      
        echo("<hr>");
          
print("<p>Factura Compra : ".$factura.  " Fecha: ".$fecha." </p>");
print("<p>Cliente: ".$idc. "</p>");
print("<p>Nombre:".$nombrec  ." </p>");


echo("<hr>");
print("<div id='titulo'><h6>Detalle de compra</h6> ");
echo("<hr>");

$senten="SELECT * FROM `prodcompra`  WHERE numfactur='$numfac' and provedor='$provedor'  and idbodegaCo=$bodega";
$consultarr=$con->query($senten);
$fila=$consultarr->fetch_all(MYSQLI_ASSOC);
//echo(var_dump($fila));

 
$total=$filaa->totalcompra;
//regimen comun
$iva5=(int)$filaa->iva5;
$iva19=(int)$filaa->iva19;
$base5=(int)$filaa->base5;
$base19=(int)$filaa->base19;
$excento=(int)$filaa->exento;
$totaliva=(int)$iva5+$iva19;
$excluido=(int)$filaa->excluido;

$subtotal=$base19+$base5+$excento+$excluido;
//fin regimen comun

foreach($fila as $valor) {

echo("<p class='produ'>") ; 
echo( $codigo=$valor["cproducto"]);
echo(" ");
echo( $nombre=$valor["nomproduct"]);
echo(" ");
echo("Caja:". $caja=$valor["cantcaja"]);
echo(" ");
echo("Frcc:". $frcc=$valor["cantfrcc"]);
echo(" ");
echo("Precio:".number_format( $precio=$valor["total"])); 
echo("</p>");
echo("<br>");

}
echo("<hr>");
//comun
print("<div id='totalll'>");
echo(" <p> Subtotal:  ".number_format($subtotal)."</p>");

echo("<p> Iva:  ".number_format($totaliva)."</p>");

//fin comun


echo("<h6> Total:  ".number_format($total)."</h6>");
print("</div>");
echo("<hr>");
?>
<div id="titulo">
 <h6>Detalle iva</h6>
</div>
<?php

//ccomun

$total5=$base5+$iva5;
$totall9=$base19+$iva19;
echo("<hr>");
echo"<table  WIDTH='100%'  >
	          <tr class='sr'>
	           <th>Tipo
				  <th>Base
				  <th>Iva
				  <th>Total              
       </tr>  

       <tr>    
       <td>00         
       <td>$excento
       <td>0
       <td>$excento
       </tr>

       <tr>    
       <td>1         
       <td>$excluido
       <td>0
       <td>$excluido
       </tr>

       <tr>    
       <td>5%        
       <td>$base5
       <td>$iva5
       <td>$total5
       </tr>

       <tr>    
       <td>19%        
       <td>$base19
       <td>$iva19
       <td>$totall9
       </tr>


     			</table><br>";


//fin comun

echo("<hr>");

?>
<div id="titulo">
 
   <h6>Muchas gracias por su compra</h6>
</div>



<script type="text/javascript">
function imprimir(){
    window.print()
   //  
     let navegador = navigator.userAgent;
     if (navigator.userAgent.match(/Android/i) || navigator.userAgent.match(/webOS/i) || navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPad/i) || navigator.userAgent.match(/iPod/i) || navigator.userAgent.match(/BlackBerry/i) || navigator.userAgent.match(/Windows Phone/i)) {
    
        } else{
         setTimeout(window.close, 300);
        }
 

    }

    setTimeout(imprimir,300);

</script>







</div>